-- namespace
Input = {};

g_nNumHighlightsSelected = 0;

-----------------------------------------------------------------------------
-- Notification that a level has started
-----------------------------------------------------------------------------

function BS_OnBlockHighlightSelected()

	if( g_nLevelIndex == 1 ) then
		if( g_nNumHighlightsSelected == 0 ) then
			Tutorials:ActivateTutorial(TUTORIAL2, FRAME1);
		elseif( g_nNumHighlightsSelected == 3 ) then
			Tutorials:ActivateTutorial(TUTORIAL3, FRAME1);
		elseif( g_nNumHighlightsSelected == 5 ) then
			Tutorials:ActivateTutorial(TUTORIAL5, FRAME1);
		end
	elseif( g_nLevelIndex == 2 ) then
		if( g_nNumHighlightsSelected == 5 ) then
			Tutorials:ActivateTutorial(TUTORIAL4, FRAME1);
		end
	elseif( g_nLevelIndex == 6 ) then
		if( g_nNumHighlightsSelected == 6 ) then
			Tutorials:ActivateTutorial(TUTORIAL7, FRAME1);
		end
	elseif( g_nLevelIndex == 9 ) then
		if( g_nNumHighlightsSelected == 5 ) then
			Tutorials:ActivateTutorial(TUTORIAL8, FRAME1);
		end
	elseif( g_nLevelIndex == 10 ) then
		if( g_nNumHighlightsSelected == 3 ) then
			Tutorials:ActivateTutorial(TUTORIAL9, FRAME1);
		end
	end

	g_nNumHighlightsSelected = g_nNumHighlightsSelected + 1;
	
end

-----------------------------------------------------------------------------
-- Notification that the selected block cannot be moved
-----------------------------------------------------------------------------

function BS_OnSelectedBlockCannotMove()

	Tutorials:ActivateTutorial(TUTORIAL10, FRAME1);

end
